Get Resource Type For Adapter Type

Get Resource Type For Adapter Type
Get a specific Resource Kind supported by a specific Adapter Kind

Get a specific Resource Kind supported by a specific Adapter Kind

Request
URI
GET
https://{api_host}/suite-api/api/adapterkinds/{adapterKindKey}/resourcekinds/{resourceKindKey}
COPY
Path Parameters
string
adapterKindKey
Required

The Adapter Kind Identifier

string
resourceKindKey
Required

The Resource Kind Identifier


Authentication
This operation uses the following authentication methods.
Responses
200

The Resource Kind

Returns resource-kind of type(s) application/json
"{\n  \"key\" : \"VirtualMachine\",\n  \"name\" : \"VirtualMachine\",\n  \"adapterKind\" : \"VMWARE\"\n}"
string
adapterKind
Optional

The Adapter Kind to which this Resource Kind belongs to

string
adapterKindName
Optional

Localized name of the Adapter Kind to which this Resource Kind belongs to

object
extension
Optional

extension

string
key
Required

The Resource Kind identifier

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

array of object
localizations
Optional

Localized names of the Resource Kind for all localizations

string
name
Optional

The Localized name of the Resource Kind

array of object
resourceIdentifierTypes
Optional

Resource identifiers associated with this Resource Kind

string
resourceKindSubType
Optional

The Sub Category to which a Resource Kind belongs to

Possible values are : GEO, ENTERPRISE, GROUP_RULES_MANAGED, GROUP_ADAPTER_MANAGED, GROUP_WORLD, NONE,
string
resourceKindType
Optional

The Category to which a Resource Kind belongs to

Possible values are : GENERAL, BUSINESS_SERVICE, TIER, TAG, ADAPTER_INSTANCE, GROUP, APPLICATION, NONE,

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/adapterkinds/{adapterKindKey}/resourcekinds/{resourceKindKey}